# system
alias update='sudo pacman -Syu && flatpak update && config submodule update --remote --recursive --init'
alias pac='sudo pacman'
alias vi='$EDITOR'
alias qcp='qcp -o tabsize=4'
alias qmv='qmv -o tabsize=4'

# conf
alias config='git --git-dir="$HOME/.dotfiles/" --work-tree="$HOME"'
alias viconf='(cd "$XDG_CONFIG_HOME/nvim" && $EDITOR .)'
alias wconf='(cd "$XDG_CONFIG_HOME/sway" && $EDITOR .)'
alias zconf='(cd "$ZDOTDIR/" && $EDITOR .) && . "$ZDOTDIR/.zshrc"'

# dev
alias valgrind='epitest valgrind'
alias ssh='TERM=linux ssh'

# alias
function coloralias() {
    $1 $(echo - "${@:2}" | sed 's/--color=\w\+/--color=always/')
}

alias _='sudo '
alias sudo='sudo '
alias watch='coloralias watch -c -- '
alias xargs='xargs '

function j() {
    local dests=("${(@f)$(find . -mount -name "$1*" -type d 2> /dev/null)}")
    local dest="${dests:-$1}"

    [ -n "${dests[2]}" ] && dest="$(printf '%s\n' "${dests[@]}" | fzf)"
    cd "$dest"
}

function tmp() {
    cd "$(mktemp -dt "$1"XXX)"
}

alias -g ...='../..'
alias -g ....='../../..'
alias -g .....='../../../..'
alias -g ......='../../../../..'

alias ls='ls --color=tty'
alias lsa='ls -lah'
alias l='ls -lah'
alias ll='ls -lh'
alias la='ls -lAh'

alias diff='diff --color'

alias grep="grep --color=auto --exclude-dir={.bzr,CVS,.git,.hg,.svn,.idea,.tox}"
alias egrep="grep -E --color=auto --exclude-dir={.bzr,CVS,.git,.hg,.svn,.idea,.tox}"
alias fgrep="grep -F --color=auto --exclude-dir={.bzr,CVS,.git,.hg,.svn,.idea,.tox}"

# vim: ft=zsh
